Bug 91397 - (IDE CMD)2.4.20-13.7 fails to boot on Digital HiNote Ultra 2000
(IDE CMD)2.4.20-13.7 fails to boot on Digital HiNote Ultra 2000
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 06:55 EDT by Gary Benson
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 16:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output when running 2.4.18-27.7.x (7.65 KB, text/plain)
2003-05-22 06:56 EDT, Gary Benson
no flags Details
The relevant bit of 2.4.20-13.7's boot message (574 bytes, text/plain)
2003-05-22 06:59 EDT, Gary Benson
no flags Details

  None (edit)
Description Gary Benson 2003-05-22 06:55:19 EDT
Description of problem:
The latest errata kernel for 7.3 fails to boot on my Digital HiNote Ultra 2000
laptop.  It seems to pick the wrong IRQ for the IDE controller.  The BIOS
doesn't have any configuration options to allow the IDE controller's IRQ to be
changed.  Most of the onboard devices are disabled in the BIOS.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7 (for i586)

How reproducible:
Always
Comment 1 Gary Benson 2003-05-22 06:56:54 EDT
Created attachment 91886 [details]
dmesg output when running 2.4.18-27.7.x
Comment 2 Gary Benson 2003-05-22 06:59:29 EDT
Created attachment 91887 [details]
The relevant bit of 2.4.20-13.7's boot message
Comment 3 Alan Cox 2003-06-08 09:14:28 EDT
2.4.18 doesnt know how to handle the fact it isnt bios configured in full.
2.4.20-* does and configured the controller properly for DMA it seems. 

If you boot with ide=nodma is it any happier
Comment 4 Gary Benson 2003-08-06 08:48:46 EDT
ide=nodma fixes the problem, thanks.

Note You need to log in before you can comment on or make changes to this bug.